RESTful interfaces

The following changes have been made in RESTful interfaces.

RESTful Configuration Interface (RCI)

  • /messagingServices

    The following new fields added for sinchconversation:

    • issuer
    • clientId

    These fields are used for OAuth2 authentication.

  • /users

    The fields voicemail and externalAgentNumber added

    From the feature request FR371

RESTful Contact Management Interface (CMI)

  • The new query parameters for the following resources are now supported:

    • GET /cmi/keywordContacts: showKeywords for returning the conversation keywords as a comma-separated list

    • GET /cmi/keywordCounts: timeAggregation for returning keywords grouped by the specified time interval

  • It's now possible to move conversations from one queue to another with POST cmi/contacts/move.

    From the feature request FR420

RESTful Outbound Campaign Interface (OBI)

GET /RI/obi/campaigns/:id/customers now has a maximum limit of 10 000.

RESTful Directory and Presence Interface (DPI)

  • DPI.html has been updated with the following query parameters for the /entries resource:

    • sort

    • any fields

  • The following changes have been made to the /groups resource:

    • POST is now supported on /groups

    • /groups/{id} added with support for the GET, PUT, and DELETE methods